%define gettext_package gnome-backgrounds

Summary: Desktop backgrounds packaged with the GNOME desktop
Name: gnome-backgrounds
Version: 2.15.92
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.gnome.org
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: gettext
BuildRequires: perl-XML-Parser

Patch0: gnome-backgrounds-2.14.0-paths.patch

%description
The gnome-backgrounds package contains images and tiles
to use for your desktop background which are packaged 
with the GNOME desktop.

%prep
%setup -q
%patch0 -p1 -b .paths

%build
%configure
make

%install 
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/images

mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/gnome/branded $RPM_BUILD_ROOT%{_datadir}/backgrounds/images
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/gnome/tiles $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/gnome/translucent $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/backgrounds/gnome/nature $RPM_BUILD_ROOT%{_datadir}/backgrounds

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-,root,root,-)
%doc 
%{_datadir}/gnome-background-properties
%{_datadir}/backgrounds

%changelog
* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2.1-3
- Add missing BuildRequires

* Thu Jun  1 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2.1-2
- Update to 2.14.2.1

* Mon Mar 13 2005 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- Initial build.

